Package com.smartgwt.client.ai

# Class DataQuestion

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestion

All Implemented Interfaces:
  `HasHandlers`

public class DataQuestion extends DataClass
Represents a data question and either the steps taken in attempting to answer it or the result.

See Also:
  - `Answer Engine`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataQuestion()`
  `DataQuestion(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getID()`
  An arbitrary non-empty string that uniquely identifies the data question.
  `static DataQuestion`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionResult`
  `getResult()`
  The result of the operation.
  `DataQuestionSettings`
  `getSettings()`
  The settings for the data question.
  `UserAIRequest`
  `getUserAIRequest()`
  The end-user's AI request.
  `DataQuestion`
  `setID(String ID)`
  An arbitrary non-empty string that uniquely identifies the data question.
  `DataQuestion`
  `setResult(DataQuestionResult result)`
  The result of the operation.
  `DataQuestion`
  `setSettings(DataQuestionSettings settings)`
  The settings for the data question.
  `DataQuestion`
  `setUserAIRequest(UserAIRequest userAIRequest)`
  The end-user's AI request.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataQuestion

    public DataQuestion()

  - ### DataQuestion

    public DataQuestion(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DataQuestion getOrCreateRef(JavaScriptObject jsObj)

  - ### setID

    public DataQuestion setID(String ID)
    An arbitrary non-empty string that uniquely identifies the data question. This is a required property.
    Parameters:
      `ID` - New ID value. Default value is null
    Returns:
      `DataQuestion` instance, for chaining setter calls

  - ### getID

    public String getID()
    An arbitrary non-empty string that uniquely identifies the data question. This is a required property.
    Returns:
      Current ID value. Default value is null

  - ### setResult

    public DataQuestion setResult(DataQuestionResult result)
    The result of the operation.
    Parameters:
      `result` - New result value. Default value is null
    Returns:
      `DataQuestion` instance, for chaining setter calls

  - ### getResult

    public DataQuestionResult getResult()
    The result of the operation.
    Returns:
      Current result value. Default value is null

  - ### setSettings

    public DataQuestion setSettings(DataQuestionSettings settings)
    The settings for the data question.
    Parameters:
      `settings` - New settings value. Default value is null
    Returns:
      `DataQuestion` instance, for chaining setter calls

  - ### getSettings

    public DataQuestionSettings getSettings()
    The settings for the data question.
    Returns:
      Current settings value. Default value is null

  - ### setUserAIRequest

    public DataQuestion setUserAIRequest(UserAIRequest userAIRequest)
    The end-user's AI request.
    Parameters:
      `userAIRequest` - New userAIRequest value. Default value is null
    Returns:
      `DataQuestion` instance, for chaining setter calls

  - ### getUserAIRequest

    public UserAIRequest getUserAIRequest()
    The end-user's AI request.
    Returns:
      Current userAIRequest value. Default value is null